"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithName = exports.Filled = exports.Empty = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactRouterDom = require("react-router-dom");
var _Table = require("../components/Table");
var _default = {
  title: 'Design System/Table',
  component: _Table.Table
};
exports.default = _default;
var Template = function Template(args) {
  return /*#__PURE__*/_react.default.createElement(_reactRouterDom.BrowserRouter, null, /*#__PURE__*/_react.default.createElement("div", {
    style: {
      maxWidth: '800px'
    }
  }, /*#__PURE__*/_react.default.createElement(_Table.Table, args)));
};
var Filled = Template.bind({});
exports.Filled = Filled;
Filled.args = {
  width: 900,
  height: 300,
  columns: [{
    header: 'First name',
    accessor: 'first',
    index: true
  }, {
    header: 'Last name',
    accessor: 'last'
  }, {
    header: 'Email',
    accessor: 'email'
  }, {
    header: 'Age',
    accessor: 'age'
  }, {
    header: '',
    accessor: 'manage'
  }],
  data: [{
    first: 'John',
    last: 'Doe',
    email: 'johndoe@gmail.com',
    age: 24,
    manage: {
      text: 'Manage',
      link: '/'
    }
  }, {
    first: 'Mike',
    last: 'Wazovski',
    email: 'mikewazovski@gmail.com',
    age: 69,
    manage: {
      text: 'Manage',
      link: '/'
    }
  }, {
    first: 'Mike',
    last: 'Wazovski',
    email: 'mikewazovski@gmail.com',
    age: 69,
    manage: {
      text: 'Manage',
      link: '/'
    }
  }, {
    first: 'Mike',
    last: 'Wazovski',
    email: 'mikewazovski@gmail.com',
    age: 69,
    manage: {
      text: 'Manage',
      link: '/'
    }
  }, {
    first: 'Mike',
    last: 'Wazovski',
    email: 'mikewazovski@gmail.com',
    age: 69,
    manage: {
      text: 'Manage',
      link: '/'
    }
  }, {
    first: 'Mike',
    last: 'Wazovski',
    email: 'mikewazovski@gmail.com',
    age: 69,
    manage: {
      text: 'Manage',
      link: '/'
    }
  }]
};
var Empty = Template.bind({});
exports.Empty = Empty;
Empty.args = {
  columns: [{
    header: 'First name',
    accessor: 'first'
  }, {
    header: 'Last name',
    accessor: 'last'
  }, {
    header: 'Email',
    accessor: 'email'
  }],
  data: [],
  empty: 'No data to be seen'
};
var WithName = Template.bind({});
exports.WithName = WithName;
WithName.args = {
  name: "Users",
  columns: [{
    header: 'First name',
    accessor: 'first'
  }, {
    header: 'Last name',
    accessor: 'last'
  }, {
    header: 'Email',
    accessor: 'email'
  }],
  data: [],
  empty: 'No data to be seen'
};